Package Details: libevhtp-seafile 2:1.2.0-4

Git Clone URL: https://aur.archlinux.org/libevhtp-seafile.git (read-only, click to copy)
Package Base: libevhtp-seafile
Description: A more flexible replacement for libevent's httpd API. [Built for seafile]
Upstream URL: https://github.com/haiwen/libevhtp
Licenses: BSD
Conflicts: libevhtp
Provides: libevhtp
Submitter: None
Maintainer: thealchemist (Joffrey)
Last Packager: Joffrey
Votes: 42
Popularity: 0.000009
First Submitted: 2015-03-03 12:31
Last Updated: 2019-08-20 16:36

Dependencies (3)

Required by (1)

Sources (2)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

dx2 commented on 2016-09-11 18:39

Is libevhtp 1.2.11 actually not causing problems anymore now? It did cause hangups on file transfers. Is it safe to assume considering this latest update to 1.2.11 that this hangup problem is solved?

a-bostaurus commented on 2016-05-04 18:11

I solved the problem by renaming /usr/include/onigposix.h to alt-onigposix.h as root. Then I installed libevhtp-seafile. The installation ran without noticies of error.

a-bostaurus commented on 2016-05-04 17:59

@Captain_Rage: It is not possible to remove libevhtp-seafile. The Terminal says:"Prüfe Abhängigkeiten...
Fehler: Konnte den Vorgang nicht vorbereiten (Kann Abhängigkeiten nicht erfüllen)
:: seafile-server: das Entfernen von libevhtp-seafile löscht ein benötigtes Packet von 'libevhtp-seafile'" (Check dependycies ... Mistake/Error: Could not prepare the job :: seafile-server removing libevhtp-seafile removes a needed packet from 'libevhtp-seafile')

Captain_Rage commented on 2016-04-28 14:07

@edacval Upgrading to libevhtp-seafile 1.2.9-7 made starting Seafile server possible again. The package oniguruma which set as dependency for 1.2.9-6 must have caused my previous issue. Thanks a bunch!

Captain_Rage commented on 2016-04-25 16:13

@a-bostaurus: Try uninstallning libevhtp-seafile completely and then installing it again (it should install oniguruma now, and the file conflict should be gone since the file used to belong to the outdated libevhtp-seafile).

a-bostaurus commented on 2016-04-25 14:35

AUR noticed to update this package but:
"Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (1) oniguruma-5.9.6-1

Gesamtgröße des Downloads: 0,11 MiB
Gesamtgröße der installierten Pakete: 0,53 MiB"
there is a conflict so updating is not possible.

Captain_Rage commented on 2016-04-25 14:01

After having upgraded to libevhtp-seafile 1.2.9-6, which pulled oniguruma 5.9.6-1, seafile-server doesn't want to start any more. The following appears:

Apr 25 15:49:50 Turnip systemd[1]: seafile-server@jupiter.service: PID 21169 read from file /home/seafile/jupiter/seafile-data/pids/seaf-server.pid
Apr 25 15:49:56 Turnip systemd[1]: Started Next-generation open source cloud storage with advanced features on privacy protection and teamwork..
Apr 25 15:49:57 Turnip systemd[1]: seafile-server@jupiter.service: Main process exited, code=killed, status=6/ABRT
Apr 25 15:50:00 Turnip seafile-admin[21193]: Stopping seafile server
Apr 25 15:50:00 Turnip seafile-admin[21193]: done
Apr 25 15:50:00 Turnip systemd[1]: seafile-server@jupiter.service: Unit entered failed state.
Apr 25 15:50:00 Turnip systemd[1]: seafile-server@jupiter.service: Failed with result 'signal'.

Is anyone else experiencing the same?

edacval commented on 2016-04-25 03:06

@tsuflux Fixed, thanks for reporting

tsuflux commented on 2016-04-24 10:54

This package conflicts with oniguruma in community due to `/usr/include/onigposix.h`. Please remove this file from the package and add a corresponding dependency.

ERamseth commented on 2015-12-16 05:51

From what I can tell, this needs to pull from the seafile github at https://github.com/haiwen/libevhtp to build correctly. The latest version tagged there is 1.2.0, but I built from master and it ran OK.